Package Details: qt5-color-widgets 2020.10.19-1

Git Clone URL: https://aur.archlinux.org/qt5-color-widgets.git (read-only, click to copy)
Package Base: qt5-color-widgets
Description: A user-friendly color dialog and several color-related widgets for Qt
Upstream URL: https://github.com/TheCynicalTeam/qt5-color-widgets
Keywords: color qt5 widgets
Licenses: LGPL3
Conflicts: qt-color-widgets-common
Provides: qt-color-widgets-common
Replaces: qt5-color-picker
Submitter: SunRed
Maintainer: TheCynicalTeam
Last Packager: TheCynicalTeam
Votes: 3
Popularity: 0.034026
First Submitted: 2015-09-03 10:31
Last Updated: 2020-10-19 14:15

Dependencies (5)

Required by (1)

Sources (1)

Latest Comments

mattbas commented on 2020-10-17 14:14

Hi, I'm the upstream maintainer. The correct upstream URL should be https://gitlab.com/mattbas/Qt-Color-Widgets

And for source it should use git+https://gitlab.com/mattbas/Qt-Color-Widgets.git or https://gitlab.com/mattbas/Qt-Color-Widgets/-/archive/master/Qt-Color-Widgets-master.tar.gz

The github repo this package is currently downloading the source file for some reason has merged an old experimental branch that isn't supposed to be in master as it never worked.

It looks like it was correct until this change https://aur.archlinux.org/cgit/aur.git/commit/?h=qt5-color-widgets&id=07597f6e0532ab61216b7e29ecebd66566e61203

I did move the repo recently but the old link should still work, anyway the ones in this comment are the up-to-date ones.

TheCynicalTeam commented on 2020-06-19 08:49

Fixed it should compile now mate

Popolon commented on 2019-06-23 11:50

doesn't compile anymore...

==> Starting pkgver()...
==> Removing existing $pkgdir/ directory...
==> Starting build()...
Usage: qmake-qt5 [mode] [options] [files]
[...]

linxoln commented on 2018-10-20 18:52

This has been moved to GitLab

SunRed commented on 2017-12-11 16:15

Updated. Thank you very much!

AbysmalBiscuit commented on 2017-11-07 15:10

The current PKGBUILD doesn't build the Qt Designer plugin.
I've updated the PKGBUILD to build and install the plugin, as well as offer QtDesigner (qt5-tools) and QtCreator (qtcreator) as optional dependencies.

Here is the pastebin link: https://pastebin.com/UAffsenQ